Package org.apache.calcite.avatica

# Class NoSuchConnectionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.calcite.avatica.NoSuchConnectionException

All Implemented Interfaces:
  `Serializable`

public class NoSuchConnectionException extends RuntimeException
An Exception that denotes that the given Connection is not cached.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSuchConnectionException(String connectionId)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getConnectionId()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchConnectionException

public NoSuchConnectionException(String connectionId)

## Method Details

### getConnectionId

public String getConnectionId()